#ifndef DocEntry_H
#define DocEntry_H

#include "sysfuncs.h"

#include "lists.h"

long DocEntry_FreeTextBuffer(DocEntry *de);

#ifdef __cplusplus
inline DocEntry *DocEntry_getNext(DocEntry *de)
{ return de->Next;
}

inline unsigned long DocEntry_length(DocEntry *de)
{ return de->Len;
}

inline void DocEntry_setNext(DocEntry *de, DocEntry *next)
{ de->Next = next;
}

inline int DocEntry_getOrIncluded(DocEntry *de)
{ return de->or_included;
}

inline void DocEntry_setOrIncluded(DocEntry *de, int to)
{ de->or_included = to;
}

inline int DocEntry_TextLoaded(DocEntry *de)
{ return (de->CompTextBuffer != NULL);
}

inline char *DocEntry_TextBuffer(DocEntry *de)
{ return de->CompTextBuffer;
}

#endif

int DocEntry_compare(void *a, void *b);

#endif
